org.richfaces.component

## Class AbstractTreeModelAdaptor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractTreeModelAdaptor

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UITreeModelAdaptor, UITreeModelRecursiveAdaptor

      public abstract class AbstractTreeModelAdaptor
      extends javax.faces.component.UIComponentBase

  The <rich:treeModelAdaptor> component takes an object which implements the Map or Iterable interfaces. It adds all the object entries to the parent node as child nodes.

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTreeModelAdaptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearInitialState()`
    `javax.faces.convert.Converter` | `getRowKeyConverter()`
    `void` | `markInitialState()`
    `protected void` | `memoizeDefaultRowKeyConverter(Object value)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setRowKeyConverter(javax.faces.convert.Converter converter)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTreeModelAdaptor

          public AbstractTreeModelAdaptor()

  - ### Method Detail

    - #### getRowKeyConverter

          public javax.faces.convert.Converter getRowKeyConverter()

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.faces.convert.Converter converter)

    - #### memoizeDefaultRowKeyConverter

          protected void memoizeDefaultRowKeyConverter(Object value)

    - #### markInitialState

          public void markInitialState()

      Specified by:
        `markInitialState` in interface `javax.faces.component.PartialStateHolder`
      Overrides:
        `markInitialState` in class `javax.faces.component.UIComponentBase`

    - #### clearInitialState

          public void clearInitialState()

      Specified by:
        `clearInitialState` in interface `javax.faces.component.PartialStateHolder`
      Overrides:
        `clearInitialState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   Object stateObject)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.